import XSite
import XSecao
import XConteudo
import XPagina
import XTemplate
import XLink
import XPaginaLayout
import XParagrafo
import XImagem
import XNoticia
from ImageFile import ImageFile

misc_={
        'new':ImageFile('www/New.gif',globals()),
        'edit':ImageFile('www/Edit.gif',globals()),
        'delete':ImageFile('www/Delete.gif',globals()),
        'up':ImageFile('www/Up.gif',globals()),
        'down':ImageFile('www/Down.gif',globals()),
        'top':ImageFile('www/Top.gif',globals()),
        'bottom':ImageFile('www/Bottom.gif',globals()),
        }

def initialize(context):
        """Inicializa o Produto ZCoMIX.
        """
        context.registerClass(
        XSite.XSite,
        constructors = (XSite.manage_addXSiteForm, XSite.manage_addXSite),
        icon = 'www/XSite.gif')

        context.registerClass(
        XSecao.XSecao,
        constructors = (XSecao.manage_addXSecaoForm, XSecao.manage_addXSecao),
        icon = 'www/XSecao.gif')

        context.registerClass(
        XConteudo.XConteudo,
        constructors = (XConteudo.manage_addXConteudoForm, XConteudo.manage_addXConteudo),
        icon = 'www/XConteudo.gif')

        context.registerClass(
        XPagina.XPagina,
        constructors = (XPagina.manage_addXPaginaForm, XPagina.manage_addXPagina),
        icon = 'www/XPagina.gif')

        context.registerClass(
        XTemplate.XTemplate,
        constructors = (XTemplate.manage_addXTemplateForm, XTemplate.manage_addXTemplate),
        icon = 'www/XTemplate.gif')

        context.registerClass(
        XLink.XLink,
        constructors = (XLink.manage_addXLinkForm, XLink.manage_addXLink),
        icon = 'www/XLink.gif')

        context.registerClass(
        XPaginaLayout.XPaginaLayout,
        constructors = (XPaginaLayout.manage_addXPaginaLayoutForm, XPaginaLayout.manage_addXPaginaLayout),
        icon = 'www/XPaginaLayout.gif')

        context.registerClass(
        XParagrafo.XParagrafo,
        constructors = (XParagrafo.manage_addXParagrafoForm, XParagrafo.manage_addXParagrafo),
        icon = 'www/XParagrafo.gif')

        context.registerClass(
        XImagem.XImagem,
        constructors = (XImagem.manage_addXImagemForm, XImagem.manage_addXImagem, XImagem.default_alinhamentos),
        icon = 'www/XImagem.gif')

        context.registerClass(
        XNoticia.XNoticia,
        constructors = (XNoticia.manage_addXNoticiaForm, XNoticia.manage_addXNoticia),
        icon = 'www/XNoticia.gif')
